> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rollfi.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# getUploadedDocuments

> 
The `getUploadedDocuments` API retrieves a list of uploaded documents alongside their document specific IDs

### What it does:
- Retrieves the uploaded documents that can then be downloaded using the `downloadDocument` API
- Filters by companyId, employeeId, and payPeriodId
- Returns a list of documentIds

### Use case:
- Use this when selecting a document to download from a drop down

### Note:
- At least one Id must be included in the request for filtering 



## OpenAPI

````yaml get /reports/getUploadedDocuments
openapi: 3.0.1
info:
  title: Default module
  description: ''
  version: 1.0.0
servers: []
security:
  - basic: []
tags: []
paths:
  /reports/getUploadedDocuments:
    get:
      tags: []
      summary: getUploadedDocuments
      description: >-

        The `getUploadedDocuments` API retrieves a list of uploaded documents
        alongside their document specific IDs


        ### What it does:

        - Retrieves the uploaded documents that can then be downloaded using the
        `downloadDocument` API

        - Filters by companyId, employeeId, and payPeriodId

        - Returns a list of documentIds


        ### Use case:

        - Use this when selecting a document to download from a drop down


        ### Note:

        - At least one Id must be included in the request for filtering 
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                method:
                  type: string
                companyId:
                  type: string
                employeeId:
                  type: string
                payPeriodId:
                  type: string
              required:
                - method
            example:
              method: getUploadedDocuments
              companyId: EB45E206-5E50-4079-8B41-04C05E4C5338
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  documents:
                    type: array
                    items:
                      type: object
                      properties:
                        documentId:
                          type: string
                        companyId:
                          type: string
                        employeeId:
                          type: string
                        payPeriodId:
                          type: string
                        fileName:
                          type: string
                        documentType:
                          type: string
                      required:
                        - documentId
                        - fileName
                        - documentType
                        - companyId
                required:
                  - documents
              example:
                documents:
                  - documentId: 3F33DB6B-FFA2-4560-BE56-E7D76A840B57
                    companyId: EB45E206-5E50-4079-8B41-04C05E4C5338
                    employeeId: 49720D41-693D-435B-982F-7D0C47ECAF61
                    fileName: FormW4.pdf
                    documentType: W4Form
                  - documentId: 8EA08254-5EB3-4B2C-8677-E86AECF60B94
                    companyId: EB45E206-5E50-4079-8B41-04C05E4C5338
                    fileName: FormDR-835.pdf
                    documentType: DR-835Form
                  - documentId: 04F235EE-8CEA-4171-A796-8E62CA92C8B1
                    companyId: EB45E206-5E50-4079-8B41-04C05E4C5338
                    fileName: FormTR-2000.pdf
                    documentType: TR-2000Form
                  - documentId: 8654D9DC-2C37-45C9-B6EF-A4E036F78A8B
                    companyId: EB45E206-5E50-4079-8B41-04C05E4C5338
                    employeeId: 9B3B66A3-94A5-413B-B2C4-F24A651297B8
                    fileName: FormW4.pdf
                    documentType: W4Form
                  - documentId: 4F9C341A-B9AA-4E91-8C7C-2371F32A728F
                    companyId: EB45E206-5E50-4079-8B41-04C05E4C5338
                    employeeId: 49720D41-693D-435B-982F-7D0C47ECAF61
                    fileName: FormW4.pdf
                    documentType: W4Form
                  - documentId: 0264ACB0-F3A0-4A9B-9344-D700CC6168DB
                    companyId: EB45E206-5E50-4079-8B41-04C05E4C5338
                    fileName: Form8655.pdf
                    documentType: 8655Form
          headers: {}
        '400':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: integer
                      message:
                        type: string
                    required:
                      - code
                      - message
                required:
                  - error
              example:
                error:
                  code: 400
                  message: >-
                    At least one of companyId, employeeId, or payPeriodId is
                    required
          headers: {}
      deprecated: false
      security:
        - basic: []
components:
  securitySchemes:
    basic:
      type: http
      scheme: basic

````